package com.friday.custody.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
//提供全参构造方法
@AllArgsConstructor
//提供无参构造方法
@NoArgsConstructor
public class MarketToBeIssuedReq extends BasicQueryReq{
    private String type;
    //项目进度
    private String projectProgress;
    //代码:模糊查询
    private String code;
    //所处行业
    private String industry;
    //券商:模糊查询
    private String broker;
    //再融资方式
    private String refinancingMode;
    //查询总记录数
    private String queryTotal;
    private Integer startPageNo;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProjectProgress() {
        return projectProgress;
    }

    public void setProjectProgress(String projectProgress) {
        this.projectProgress = projectProgress;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getBroker() {
        return broker;
    }

    public void setBroker(String broker) {
        this.broker = broker;
    }

    public String getRefinancingMode() {
        return refinancingMode;
    }

    public void setRefinancingMode(String refinancingMode) {
        this.refinancingMode = refinancingMode;
    }

    public String getQueryTotal() {
        return queryTotal;
    }

    public void setQueryTotal(String queryTotal) {
        this.queryTotal = queryTotal;
    }

    public Integer getStartPageNo() {
        return startPageNo;
    }

    public void setStartPageNo(Integer startPageNo) {
        this.startPageNo = startPageNo;
    }
}
